# Class TCefFastMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaRouteCreateCallback

## Declaration

`type TCefFastMediaRouteCreateCallback = class(TCefMediaRouteCreateCallbackOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMediaRouteCreateCallbackOwn
- TCefFastMediaRouteCreateCallback

## Overview

### Fields

| `FCallback: TCefMediaRouteCreateCallbackProc;`

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;`
| `constructor Create(const callback: TCefMediaRouteCreateCallbackProc); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FCallback: TCefMediaRouteCreateCallbackProc;`
This item has no description.

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;`
This item has no description. Showing description inherited from ICefMediaRouteCreateCallback.OnMediaRouteCreateFinished. Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

| `constructor Create(const callback: TCefMediaRouteCreateCallbackProc); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.